Page MenuHomePhabricator

[AArch64] Fix legalization of v1f64 strict_fsetcc and strict_fsetccs
ClosedPublic

Authored by john.brawn on Jan 26 2022, 8:49 AM.

Details

Summary

These operations are scalarized but the result type v1i1 isn't which needs special handling (the same as is done for the non-strict versions of these operations).

Diff Detail

Event Timeline

john.brawn created this revision.Jan 26 2022, 8:49 AM
john.brawn requested review of this revision.Jan 26 2022, 8:49 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 26 2022, 8:49 AM
Matt added a subscriber: Matt.Jan 27 2022, 5:44 AM
dmgreen accepted this revision.Feb 4 2022, 2:07 AM
dmgreen added reviewers: RKSimon, craig.topper.

This does look like it's doing the same as other similar operations now. Unless anyone else has any comments, this LGTM.

This revision is now accepted and ready to land.Feb 4 2022, 2:07 AM
This revision was landed with ongoing or failed builds.Feb 4 2022, 5:00 AM
This revision was automatically updated to reflect the committed changes.